Documentation Index
Fetch the complete documentation index at: https://developer.cregis.com/llms.txt
Use this file to discover all available pages before exploring further.
API URL
POST /api/v1/sub_address_withdrawal
Request
Request Parameters
| Name | Type | Required | Description |
|---|
| pid | integer(int64) | Yes | WaaS project ID. Go to Cregis > WaaS > Select project > Settings > Developer to view |
| currency | string | Yes | oken to withdraw (chain_id and token_id) |
| from_address | string | No | Sender address. This address must be a sub-address under the corresponding WaaS project |
| to_address | string | Yes | Recipient address. It is recommended to validate the recipient address before withdrawal |
| amount | string | Yes | Withdrawal amount |
| callback_url | string | No | Callback URL. When the withdrawal transaction is processed, the WaaS service will initiate a callback notification to the corresponding callback_url, Refer to Withdrawal Notify |
| third_party_id | string | Yes | Business reference ID generated by your own business system |
| remark | string | No | Transaction description (max 256 characters) |
| memo | string | No | On-chain memo/tag (only for Ton, Xrp) |
| nonce | string | Yes | 6-character random string |
| timestamp | integer(int64) | Yes | Current timestamp (milliseconds) |
| sign | string | Yes | Digital signature to prevent tampering |
Request Example
{
"pid": 1382528827416576,
"currency": "144@144",
"from_address": "rhAZ673nG6fSXovPAkw3EcrhKyWwXducoi",
"to_address": "rn5Jyu5J6PG64543KdGvS25rQBYFQo7GLc",
"amount": "1.1",
"remark": "payout",
"memo": "123",
"third_party_id": "c9231e604da54469a735af3f449c880f",
"callback_url": "http://xxx.com/payout/callback",
"nonce": "hwlkk6",
"timestamp": 1688004243314,
"sign": "d6eef2de79e39f434a38efb910213ba6"
}
Response
Response Result
| Name | Type | Description |
|---|
| code | string | Response Code |
| msg | string | Response Message |
| data | object | Response Data Object |
Response data Object
| Name | Type | Description |
|---|
| cid | integer(int64) | System Sequence Number |
Response Example
{
"code": "00000",
"msg": "ok",
"data": {
"cid": 1382688606330880
}
}